from ploneintranet.notifications.utils import i18n_translate
from ploneintranet.notifications.utils import message_variant

message_published_a_document = i18n_translate(
    "message_published_a_document",
    default="${actor} published a document in ${location}.",
)
message_published_a_document_wt = i18n_translate(
    "message_published_a_document_wt",
    default="${actor} published the document “${object}” in ${location}.",
)
variant_published_a_document = message_variant(
    message_published_a_document, message_published_a_document_wt
)

message_published_x_documents = i18n_translate(
    "message_published_x_documents",
    default="${actor} published ${count} documents in ${location}.",
)
message_published_x_documents_wt = i18n_translate(
    "message_published_x_documents_wt",
    default="${actor} published ${count} documents in ${location}.",
)
variant_published_x_documents = message_variant(
    message_published_x_documents, message_published_x_documents_wt
)

message_created_a_document = i18n_translate(
    "message_created_a_document", default="${actor} created a document in ${location}."
)
message_created_a_document_wt = i18n_translate(
    "message_created_a_document_wt",
    default="${actor} created the document “${object}” in ${location}.",
)
variant_created_a_document = message_variant(
    message_created_a_document, message_created_a_document_wt
)

message_created_x_documents = i18n_translate(
    "message_created_x_documents",
    default="${actor} created ${count} documents in ${location}.",
)
message_created_x_documents_wt = i18n_translate(
    "message_created_x_documents_wt",
    default="${actor} created ${count} documents in ${location}.",
)
variant_created_x_documents = message_variant(
    message_created_x_documents, message_created_x_documents_wt
)
